package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

import com.ym.mec.biz.dal.enums.JobNatureEnum;
import com.ym.mec.biz.dal.enums.MusicGroupStatusEnum;

/**
 * 老师乐团课程信息
 */
public class TeacherMusicClassInfoDto {
    @ApiModelProperty(value = "乐团编号", required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称", required = false)
    private String musicGroupName;

    @ApiModelProperty(value = "全职、兼职类型", required = false)
    private JobNatureEnum jobNature;

    @ApiModelProperty(value = "教务老师编号", required = false)
    private Integer educationalTeacherId;

    @ApiModelProperty(value = "运营主管编号", required = false)
    private Integer teamTeacherId;

    @ApiModelProperty(value = "执教班级名称", required = false)
    private List<String> classGroupNames;

    @ApiModelProperty(value = "乐团状态",required = false)
    private MusicGroupStatusEnum status;

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public JobNatureEnum getJobNature() {
        return jobNature;
    }

    public void setJobNature(JobNatureEnum jobNature) {
        this.jobNature = jobNature;
    }

    public Integer getEducationalTeacherId() {
        return educationalTeacherId;
    }

    public void setEducationalTeacherId(Integer educationalTeacherId) {
        this.educationalTeacherId = educationalTeacherId;
    }

    public Integer getTeamTeacherId() {
        return teamTeacherId;
    }

    public void setTeamTeacherId(Integer teamTeacherId) {
        this.teamTeacherId = teamTeacherId;
    }

    public List<String> getClassGroupNames() {
        return classGroupNames;
    }

    public void setClassGroupNames(List<String> classGroupNames) {
        this.classGroupNames = classGroupNames;
    }

    public MusicGroupStatusEnum getStatus() {
        return status;
    }

    public void setStatus(MusicGroupStatusEnum status) {
        this.status = status;
    }
}
